%define name pam_ldap
%define version 186
%define release %mkrel 1

Summary:	NSS library and PAM module for LDAP
Name: 		%name
Version: 	%version
Release: 	%release
License:	LGPL
Group:		System/Libraries
URL: 		http://www.padl.com/
BuildRequires:	libldap-devel >= 2.0.7-7.1mdk
BuildRequires:	pam-devel
BuildRequires:	automake1.4
Source0: 	http://www.padl.com/download/%{name}-%{version}.tar.xz
Source1:	resolve.c
Source2:	resolve.h
Source3:	snprintf.h
Source4:	snprintf.c
Patch2:		pam_ldap-156-makefile.patch
Patch3:		pam_ldap-176-dnsconfig.patch
Patch4:		pam_ldap-184-lockoutmsg.patch
Requires:	nss_ldap >= 217
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Pam_ldap is a module for Linux-PAM that supports password changes, V2
clients, Netscapes SSL, ypldapd, Netscape Directory Server password
policies, access authorization, crypted hashes, etc.

Install pam_ldap if you need to authenticate PAM-enabled services to
LDAP.
%{?!_with_dnsconfig:This package can be compiled with support for configuration}
%{?!_with_dnsconfig:from DNS, by building with "--with dnsconfig"}
%{?_with_dnsconfig:This package is built with DNS configuration support}

%prep
%setup -q
%patch2 -p1 -b .pam_makefile
%patch4 -p1 -b .lockoutmsg

%if %{?_with_dnsconfig:1}%{!?_with_dnsconfig:0}
%patch3 -p1 -b .dnsconfig
for i in %SOURCE1 %SOURCE2 %SOURCE3 %SOURCE4
do cp $i .
done
%endif

%build
%serverbuild

rm -f configure
libtoolize --copy --force; aclocal; autoconf; automake

export CFLAGS="$CFLAGS -fno-strict-aliasing"
%configure2_5x --with-ldap-lib=openldap --libdir=/%{_lib}
%__make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_mandir}/man5

install -d %{buildroot}/%{_sysconfdir}
install -d %{buildroot}/%{_lib}/security

%make install DESTDIR="%{buildroot}" libdir=/%{_lib}
rm -rf	%{buildroot}%{_sysconfdir}/ldap.conf 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING.LIB README pam.d chsh chfn ldap.conf
/%{_lib}/security/*so*
%{_mandir}/man?/*

%changelog
* Sat Feb 12 2011 siamer <siamer@wp.pl> 186-1pclos2011
- new version

* Fri Sep 10 2010 Texstar <texstar at gmail.com> 185-1pclos2010
- 185 and build for new ldap

